@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800&display=swap");


:root {
  /* color-scheme: dark; */
  --main-color: #2271ff;
  --secondary-color: #5995fd;
  --lighter-color: #e0e0e7;
  --light-color: #b0b0c0;
  --dark-color: #52505e;

  --font-smaller: 14px;
  --font-bigger: 20px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body,
input {
  font-family: "Poppins", sans-serif;
}

.container {
  position: relative;
  width: 100%;
  background-color: #fff;
  min-height: 100vh;
  overflow: hidden;
}

.forms-container {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.signin-signup {
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  left: 75%;
  width: 50%;
  transition: 1s 0.7s ease-in-out;
  display: grid;
  grid-template-columns: 1fr;
  z-index: 5;
}

form {
  /* .sign-in-form { */
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 0rem 5rem;
  transition: all 0.2s 0.7s;
  /* overflow: hidden; */
  grid-column: 1 / 2;
  grid-row: 1 / 2;
}

form.sign-up-form {
  /* .sign-up-form { */

  opacity: 0;
  z-index: 1;
}

form.sign-in-form {
  /* .sign-up-form { */

  z-index: 2;
}

.title {
  font-size: 2.2rem;
  color: #444;
  margin-bottom: 10px;
}

.input-field {
  max-width: 380px;
  width: 100%;
  background-color: #f0f0f0;
  margin: 10px 0;
  height: 55px;
  border-radius: 55px;
  display: flex;
  /* grid-template-columns: 15% 85%; */
  padding: 0 0.4rem;
  position: relative;
  flex-direction: row;
  align-items: center;
}

.input-field svg {
  text-align: center;
  line-height: 55px;
  color: #acacac;
  transition: 0.5s;
  font-size: 1.1rem;
  width: 55px;
}

.input-field input {
  background: none;
  outline: none;
  border: none;
  line-height: 1;
  font-weight: 600;
  font-size: 1.1rem;
  color: #333;
}

.input-field input::placeholder {
  color: #aaa;
  font-weight: 500;
}

.social-text {
  padding: 0.7rem 0;
  font-size: 1rem;
}

.social-media {
  display: flex;
  justify-content: center;
}

.social-icon {
  height: 46px;
  width: 46px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 0.45rem;
  color: #333;
  border-radius: 50%;
  border: 1px solid #333;
  text-decoration: none;
  font-size: 1.1rem;
  transition: 0.3s;
}

.social-icon:hover {
  color: #4481eb;
  border-color: #4481eb;
}

.btn {
  width: 150px;
  background-color: var(--main-color);
  border: none;
  outline: none;
  height: 49px;
  border-radius: 49px;
  color: #fff;
  text-transform: uppercase;
  font-weight: 600;
  margin: 10px 0;
  cursor: pointer;
  transition: 0.5s;
}

.btn:hover {
  background-color: var(--secondary-color);
}

.panels-container {
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.container:before {
  content: "";
  position: absolute;
  height: 2000px;
  width: 2000px;
  top: -10%;
  right: 48%;
  transform: translateY(-50%);
  background-image: linear-gradient(-45deg, var(--main-color) 0%, var(--secondary-color) 100%);
  transition: 1.8s ease-in-out;
  border-radius: 50%;
  z-index: 6;
}

.image {
  width: 100%;
  transition: transform 1.1s ease-in-out;
  transition-delay: 0.4s;
}

.panel {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-around;
  text-align: center;
  z-index: 6;
}

.left-panel {
  pointer-events: all;
  padding: 3rem 17% 2rem 12%;
}

.right-panel {
  pointer-events: none;
  padding: 3rem 12% 2rem 17%;
}

.panel .content {
  color: #fff;
  transition: transform 0.9s ease-in-out;
  transition-delay: 0.6s;
}

.panel h3 {
  font-weight: 600;
  line-height: 1;
  font-size: 1.5rem;
}

.panel p {
  font-size: 0.95rem;
  padding: 0.7rem 0;
}

.btn.transparent {
  margin: 0;
  background: none;
  border: 2px solid #fff;
  width: 130px;
  height: 41px;
  font-weight: 600;
  font-size: 0.8rem;
}

.right-panel .image,
.right-panel .content {
  transform: translateX(800px);
}

/* ANIMATION */

.container.sign-up-mode:before {
  transform: translate(100%, -50%);
  right: 52%;
}

.container.sign-up-mode .left-panel .image,
.container.sign-up-mode .left-panel .content {
  transform: translateX(-800px);
}

.container.sign-up-mode .signin-signup {
  left: 25%;
}

.container.sign-up-mode form.sign-up-form {
  /* .container.sign-up-mode form.sign-up-form { */

  opacity: 1;
  z-index: 2;
}

.container.sign-up-mode form.sign-in-form {
  opacity: 0;
  z-index: 1;
}

.container.sign-up-mode .right-panel .image,
.container.sign-up-mode .right-panel .content {
  transform: translateX(0%);
}

.container.sign-up-mode .left-panel {
  pointer-events: none;
}

.container.sign-up-mode .right-panel {
  pointer-events: all;
}

.animation-in {
  animation: fadeIn;
  animation-duration: 2s;
}

/* .animation-out{
  animation: fadeOutUp;
  animation-duration: 1.75s;
} */

@media (max-width: 870px) {
  .container {
    min-height: 800px;
    height: 100vh;
  }

  .signin-signup {
    width: 100%;
    top: 100%;
    transform: translate(-50%, -100%);
    transition: 1s 0.8s ease-in-out;
  }

  .signin-signup,
  .container.sign-up-mode .signin-signup {
    left: 50%;
  }

  .panels-container {
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 2fr 1fr;
  }

  .panel {
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    padding: 2.5rem 8%;
    grid-column: 1 / 2;
  }

  .right-panel {
    grid-row: 3 / 4;
  }

  .left-panel {
    grid-row: 1 / 2;
  }

  .image {
    width: 200px;
    transition: transform 0.9s ease-in-out;
    transition-delay: 0.6s;
  }

  .panel .content {
    padding-right: 15%;
    transition: transform 0.9s ease-in-out;
    transition-delay: 0.8s;
  }

  .panel h3 {
    font-size: 1.2rem;
  }

  .panel p {
    font-size: 0.7rem;
    padding: 0.5rem 0;
  }

  .btn.transparent {
    width: 110px;
    height: 35px;
    font-size: 0.7rem;
  }

  .container:before {
    width: 1500px;
    height: 1500px;
    transform: translateX(-50%);
    left: 30%;
    bottom: 68%;
    right: initial;
    top: initial;
    transition: 2s ease-in-out;
  }

  .container.sign-up-mode:before {
    transform: translate(-50%, 100%);
    bottom: 32%;
    right: initial;
  }

  .container.sign-up-mode .left-panel .image,
  .container.sign-up-mode .left-panel .content {
    transform: translateY(-300px);
  }

  .container.sign-up-mode .right-panel .image,
  .container.sign-up-mode .right-panel .content {
    transform: translateY(0px);
  }

  .right-panel .image,
  .right-panel .content {
    transform: translateY(300px);
  }

  .container.sign-up-mode .signin-signup {
    top: 5%;
    transform: translate(-50%, 0);
  }
}

@media (max-width: 570px) {
  form {
    padding: 0 1.5rem;
  }

  .image {
    display: none;
  }

  .panel .content {
    padding: 0.5rem 1rem;
  }

  .container {
    padding: 1.5rem;
  }

  .container:before {
    bottom: 77%;
    left: 50%;
  }

  .container.sign-up-mode:before {
    bottom: 28%;
    left: 50%;
  }
}


footer {
  position: fixed;
  bottom: 0;
  left: 0;
  display: flex;
  width: 100%;
  flex-direction: row;
  align-items: center;
  padding: 10px;
  gap: 15px;
  justify-content: center;
  font-weight: 600;
}

footer img {
  width: 40px;
}

div#divlottie {
  display: flex;
  justify-content: center;
  align-items: center;
}

div#divlottie .containerImg {
  display: flex;
  justify-content: center;
  align-items: center;
  /* background: #b6b6b6; */
  width: 170px;
  height: 170px;
  border-radius: 59px;
  position: relative;
  z-index: 20;
  box-shadow: 0px 0px 20px -9px rgba(0, 0, 0, 0.69);
  -webkit-box-shadow: 0px 0px 20px -9px rgba(0, 0, 0, 0.69);
  overflow: hidden;
  -moz-box-shadow: 0px 0px 20px -9px rgba(0, 0, 0, 0.69);
}

img#imgLogo {
  width: 170px;
}

span.logoLeft {
  width: 22px;
  height: 110px;
  background: #ed3237;
  position: absolute;
  animation: slideLeft 0.5s forwards 0.5s;
}

span.logoRight {
  width: 22px;
  height: 110px;
  background: #ed3237;
  position: absolute;
  animation: slideRight 0.5s forwards 0.5s;
}

span.logoLeftAux {
  width: 85px;
  height: 110px;
  background: white;
  position: absolute;
  margin-right: 106px;
  z-index: 10;
  animation: slideLeft 0.5s forwards 0.5s;
}

span.logoRightAux {
  width: 85px;
  height: 110px;
  background: white;
  position: absolute;
  margin-left: 106px;
  z-index: 10;
  animation: slideRight 0.5s forwards 0.5s;

}


span.logoLeft::before {
  content: "";
  position: absolute;
  width: 94px;
  height: 15px;
  right: -79px;
  top: 27px;
  rotate: 218deg;
  background: #ed3237;
  z-index: 1;
}

/* span.logoLeft::after {
  content: "";
  position: absolute;
  width: 87px;
  height: 110px;
  left: -87px;
  background: white;
  z-index: 2;
} */

span.logoRight::before {
  content: "";
  position: absolute;
  width: 94px;
  height: 15px;
  left: -79px;
  top: 27px;
  rotate: -218deg;
  background: #ed3237;
  z-index: 1;
}

/* span.logoRight::after {
  content: "";
  position: absolute;
  width: 87px;
  height: 110px;
  right: -87px;
  background: white;
  z-index: 2;
} */


@keyframes slideLeft {
  0% {
    transform: translateX(0px);

  }

  100% {
    transform: translateX(-42px);
  }

}

@keyframes slideRight {
  0% {
    transform: translateX(0px);

  }

  100% {
    transform: translateX(42px);
  }

}

.informacionClientes {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 420px;
  background: #e1e1e1;
  border-radius: 25px;
  padding: 10px;
}

.informacionClientes .titleInfo {
  font-size: 20px;
  font-weight: 600;
  margin-left: 35px;
}

span.subtitleInfo {
  margin-bottom: 10px;
}

@media (max-width: 767px) {
  .informacionClientes {
    display: none;
  }

  .signin-signup {
    width: 100%;
    top: 100%;
    transform: translate(-50%, -125%);
    transition: 1s 0.8s ease-in-out;
  }
}

.titleContainer{
  position: relative;
  display: flex;
  align-items: center;
}

.toolTip {
  position: absolute;
  width: 26px;
  height: 26px;
  transition: all 0.5s;
  user-select: none;
  /* right: -50px; */
  /* right: 3%; */
  /* top: 15%; */
}

.iconoToolTip {
  position: relative !important;
  top: 0% !important;
  left: 0rem !important;
  transform: translateY(0%) !important;
  width: 100%;
  height: 100%;
  color: var(--main-color);
}

.toolTipText {
  position: absolute;
  width: 272px;
  right: -400%;
  bottom: 15px;
  background: white;
  border-radius: 14px;
  padding: 10px;
  box-shadow: 0px 0px 20px -9px rgba(0, 0, 0, 0.69);
  -webkit-box-shadow: 0px 0px 20px -9px rgba(0, 0, 0, 0.69);
}

.toolTipText::before {
  content: "";
  position: absolute;
  left: 1%;
  top: 100%;
  transform: translateX(360%);
  border: 15px solid;
  border-color: #ffffff #0000 #0000 #0000;
}

.containerToolTip {
  position: relative;
  width: 32px;
  height: 32px;
  transform: translateY(-75px);
  opacity: 0;
  visibility: hidden;
  transition: 0.1s;
}

/* .iconoToolTip:hover~.containerToolTip {
  opacity: 1;
  visibility: visible;
  transform: translateY(-65px);
  transition: 0.5s;
} */

.toolTip:hover .containerToolTip{
  opacity: 1;
  visibility: visible;
  transform: translateY(-65px);
  transition: 0.5s;
}